Permalink
c722acb Jan 22, 2017
@jdantonio @pitr-ch @thedrow @chrisseaton @ferdinandrosario @joshk @ianks @brixen
58 lines (45 sloc) 828 Bytes
language: ruby
rvm:
# start with the latest
- 2.4.0
- jruby-9.1.5.0
# older versions
- 2.3.3
- 2.2.6
- 2.1.9
- 2.0.0
- 1.9.3
- jruby-9.0.5.0
- jruby-1.7.26
- ruby-head
- jruby-head
- rbx
jdk:
- oraclejdk8
sudo: false
branches:
only:
- master
matrix:
include:
- rvm: 2.3.1
jdk: oraclejdk8
env: COVERAGE=1
- rvm: jruby-head
jdk: oraclejdk8
env: TRUFFLE=1
allow_failures:
- rvm: ruby-head
- rvm: jruby-head
- rvm: 1.9.3
- rvm: rbx
- rvm: jruby-head
jdk: oraclejdk8
env: TRUFFLE=1
env:
global:
- JAVA_OPTS=-Xmx1024m
before_install:
- "echo $JAVA_OPTS"
- bundle update # temporary fix, not sure why it helps
script: if [[ -v TRUFFLE ]]; then support/test-truffle.sh; else RUBYOPT=-w bundle exec rake ci; fi